%define _unpackaged_files_terminate_build 0
%define pname krisp
%define upname KRISP
%define pversion 2.0.1
%define pkgfile http://mirror.oops.org/pub/oops/php/pear/%{pname}/%{pname}-%{pversion}.tgz

Summary: PEAR::KRISP database frontend
Name: php-pear-%{pname}
Version: %{pversion}
Release: 1%{?dist}
Epoch: 1
License: BSD
Group: Development/Languages
URL: http://pear.oops.org/docs/%{upname}/%{upname}.html
BuildRoot: /var/tmp/%{name}-root
BuildRequires: php-pear curl /usr/share/php/pear/.channels/pear.oops.org.reg
Requires: php-pear
BuildArch: noarch

%description
This package is pear package that used pure libkrisp api

%prep
cd $RPM_SOURCE_DIR
[ -f %{pname}-%{pversion}.tgz ] && rm -f %{pname}-%{pversion}.tgz
curl -o %{pname}-%{pversion}.tgz %{pkgfile}

%install
%{__pear} install \
		--offline \
		--ignore-errors \
		--packagingroot=%{buildroot} $RPM_SOURCE_DIR/%{pname}-%{pversion}.tgz
%{__rm} -f $RPM_SOURCE_DIR/%{pname}-%{pversion}.tgz

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{pear_phpdir}/%{pname}.php
%{pear_phpdir}/%{upname}/*.php
%{pear_phpdir}/.registry/.channel.pear.oops.org/%{pname}.reg

%changelog
* Wed Nov 11 2015 JoungKyun.Kim <http://oops.org> 1:2.0.1-1%{?dist}
- update 2.0.1

* Tue Feb 28 2012 JoungKyun.Kim <http://oops.org> 0:2.0.0-1%{?dist}
- first packages

